Package org.apache.sling.scripting.sightly.impl.compiler.visitor

## Class IgnoreRange

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.visitor.UniformVisitor
  - - org.apache.sling.scripting.sightly.impl.compiler.visitor.IgnoreRange

All Implemented Interfaces:
  `CommandVisitor`

Direct Known Subclasses:
  `StatefulRangeIgnore`

    public abstract class IgnoreRange
    extends UniformVisitor

Ignore a nested range of commands.

### Constructor Summary

Constructors
`IgnoreRange​(Class<? extends Command> rangeStart, Class<? extends Command> rangeEnd)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `onCommand​(Command command)`
`protected abstract void` `onCompleted()`

### Methods inherited from class org.apache.sling.scripting.sightly.impl.compiler.visitor.UniformVisitor

`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreRange

    public IgnoreRange​(Class<? extends Command> rangeStart,
                       Class<? extends Command> rangeEnd)

### Method Detail

#### onCommand

    public void onCommand​(Command command)

Specified by:
  `onCommand` in class `UniformVisitor`

#### onCompleted

    protected abstract void onCompleted()